X2Go Bug report logs - #812
x2gogetapps should ignore NoDisplay=true desktop application entries

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Jason Alavaliant <alavaliant@ra09.com>

Date: Tue, 10 Mar 2015 08:35:01 UTC

Severity: normal

Tags: patch, pending

Found in version 4.0.1.19

Fixed in versions 4.0.1.20, 4.1.0.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#812; Package x2goserver. (Tue, 10 Mar 2015 08:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Alavaliant <alavaliant@ra09.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 10 Mar 2015 08:35:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Jason Alavaliant <alavaliant@ra09.com>
To: submit@bugs.x2go.org
Subject: x2gogetapps should ignore NoDisplay=true desktop application entries
Date: Tue, 10 Mar 2015 21:30:47 +1300
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.0.1.19
Tags: patch

Currently the x2gogetapps command prints out all .desktop application 
files irrespective of if they have the value NoDisplay=true set in the 
file or not.

This results in the hosted applications list becoming filled with 
entries that weren't intended to be listed in an application menu 
normally.    For example on my system I have;

/usr/share/applications/kde4/okularApplication_comicbook.desktop 
/usr/share/applications/kde4/okularApplication_ooo.desktop
/usr/share/applications/kde4/okularApplication_dvi.desktop 
/usr/share/applications/kde4/okularApplication_pdf.desktop
/usr/share/applications/kde4/okularApplication_fax.desktop 
/usr/share/applications/kde4/okularApplication_plucker.desktop
/usr/share/applications/kde4/okularApplication_fb.desktop 
/usr/share/applications/kde4/okularApplication_txt.desktop
/usr/share/applications/kde4/okularApplication_ghostview.desktop 
/usr/share/applications/kde4/okularApplication_xps.desktop
/usr/share/applications/kde4/okularApplication_kimgio.desktop 
/usr/share/applications/kde4/okular.desktop
/usr/share/applications/kde4/okularApplication_mobi.desktop

All of them except okular.desktop  have NoDisplay=true  set in the 
file,     a normal desktop environment menu has one entry for okular 
shown since it doesn't list all of those other entries.    The x2go 
application list currently has 13 entries for okular since it displays 
every single one of the entries.

The attached patch updates the x2gogetapps command to check the file to 
see if NoDisplay=true is set and if so doesn't print out the contents of 
that file removing all the duplicates and other entries not intended to 
be listed in a normal application launch menu.

Thanks
Jason
[x2gogetapps-hide-NoDisplay-applications.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#812; Package x2goserver. (Wed, 11 Mar 2015 20:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Mar 2015 20:15:02 GMT) Full text and rfc822 format available.

Message #10 received at 812@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Jason Alavaliant <alavaliant@ra09.com>, 812@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#812: x2gogetapps should ignore NoDisplay=true desktop application entries
Date: Wed, 11 Mar 2015 21:14:25 +0100
[Message part 1 (text/plain, inline)]
Hi Jason,


On 10.03.2015 09:30 AM, Jason Alavaliant wrote:
> Currently the x2gogetapps command prints out all .desktop application
> files irrespective of if they have the value NoDisplay=true set in the
> file or not.
> [...]
> The attached patch updates the x2gogetapps command to check the file
> to see if NoDisplay=true is set and if so doesn't print out the
> contents of that file removing all the duplicates and other entries
> not intended to be listed in a normal application launch menu.

Thank you for the patch!


I've reviewed your patch and re-implemented it.

First, there's also a "Hidden" key which indicates that the application
shall be regarded as deleted (and not show up either.) We didn't respect
that either, previously.

Further, there's no need to read the whole file once we stumble upon
Hidden or NoDisplay. We can stop processing there. The same goes when
finding a non-Desktop Entry group after a Desktop Entry group.

The new patch can be seen here:

http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=e617a5baec4b8971606bf37f5cef76c29ccd7423

or downloaded here:

http://code.x2go.org/gitweb?p=x2goserver.git;a=blobdiff_plain;f=x2goserver/bin/x2gogetapps;h=84a5779c317299618b7308a48e07d4bc2e550dc8;hp=43a2fec7d606a834d828def79e49f5a2e74ad899;hb=e617a5baec4b8971606bf37f5cef76c29ccd7423;hpb=bbad5d6593df3e5659f561d2345a99ef571b30d1

Can you please test if my patch fixes your problem, too? I'd rather
commit this more complete patch to the main branches.



Mihai



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#812; Package x2goserver. (Wed, 11 Mar 2015 20:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Mar 2015 20:35:01 GMT) Full text and rfc822 format available.

Message #15 received at 812@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Jason Alavaliant <alavaliant@ra09.com>, 812@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#812: x2gogetapps should ignore NoDisplay=true desktop application entries
Date: Wed, 11 Mar 2015 21:34:50 +0100
[Message part 1 (text/plain, inline)]
On 11.03.2015 09:14 PM, Mihai Moldovan wrote:
> The new patch can be seen here:
>
> [oldurl]
>
> or downloaded here:
>
> [oldurl]

And of course, I messed up while moving stuff around...

Corrected new patch:

http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=6ec2dcd7e9fdc7787a6e012fdfebf117ff407918;hp=e68165a741cd234f45af286397926d1d97f3b8c5

Download URL:

http://code.x2go.org/gitweb?p=x2goserver.git;a=blobdiff_plain;f=x2goserver/bin/x2gogetapps;h=b118898b3900423e07cbb3803cc5bd4afc5eacb1;hp=43a2fec7d606a834d828def79e49f5a2e74ad899;hb=6ec2dcd7e9fdc7787a6e012fdfebf117ff407918;hpb=bbad5d6593df3e5659f561d2345a99ef571b30d1

Sorry for the confusion.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#812; Package x2goserver. (Mon, 16 Mar 2015 05:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 16 Mar 2015 05:35:01 GMT) Full text and rfc822 format available.

Message #20 received at 812@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 812-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 812@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Mon, 16 Mar 2015 06:30:21 +0100 (CET)
tag #812 pending
fixed #812 4.0.1.20
thanks

Hello,

X2Go issue #812 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=86d9b3c

The issue will most likely be fixed in src:x2goserver (4.0.1.20).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 86d9b3c13f7a0055f6c06023832e8aa5469ecd8d
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Wed Mar 11 21:00:36 2015 +0100

    x2goserver/bin/x2gogetapps: respect NoDisplay and Hidden values, don't parse the full desktop file if there are non-Desktop Entries groups.
    
    Based on a patch submitted by Jason Alavaliant.
    
    Fixes: #812.
    
    Conflicts:
      debian/changelog

diff --git a/debian/changelog b/debian/changelog
index af70337..2508b02 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,12 @@ x2goserver (4.0.1.20-0x2go1) UNRELEASED; urgency=low
     - TERMINAL Session: Add support for qterminal
       (Lightweight terminal emulator written in Qt)
 
+  [ Mihai Moldovan ]
+  * New upstream version (4.0.1.20):
+    - x2goserver/bin/x2gogetapps: respect NoDisplay and Hidden values, don't
+      parse the full desktop file if there are non-Desktop Entries groups.
+      Based on a patch submitted by Jason Alavaliant. Fixes: #812.
+
  -- X2Go Release Manager <git-admin@x2go.org>  Tue, 24 Feb 2015 22:11:49 +0100
 
 x2goserver (4.0.1.19-0x2go2) UNRELEASED; urgency=low


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#812; Package x2goserver. (Mon, 16 Mar 2015 05:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 16 Mar 2015 05:35:02 GMT) Full text and rfc822 format available.

Message #25 received at 812@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 812-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 812@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Mon, 16 Mar 2015 06:30:36 +0100 (CET)
tag #812 pending
fixed #812 4.1.0.0
thanks

Hello,

X2Go issue #812 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=e617a5b

The issue will most likely be fixed in src:x2goserver (4.1.0.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit e617a5baec4b8971606bf37f5cef76c29ccd7423
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Wed Mar 11 21:00:36 2015 +0100

    x2goserver/bin/x2gogetapps: respect NoDisplay and Hidden values, don't parse the full desktop file if there are non-Desktop Entries groups.
    
    Based on a patch submitted by Jason Alavaliant.
    
    Fixes: #812.

diff --git a/debian/changelog b/debian/changelog
index f2f81a2..3ca102b 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -150,6 +150,9 @@ x2goserver (4.1.0.0-0x2go1.1) UNRELEASED; urgency=low
   [ Mihai Moldovan ]
   * New upstream version (4.1.0.0):
     - Change string "X2go" to "X2Go" where appropriate.
+    - x2goserver/bin/x2gogetapps: respect NoDisplay and Hidden values, don't
+      parse the full desktop file if there are non-Desktop Entries groups.
+      Based on a patch submitted by Jason Alavaliant. Fixes: #812.
   * x2goserver.spec:
     - Only create session DB in x2goserver's post install script. Do use
       proper Requires(post) statements to make sure perl-X2Go-Server-DB and


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Mon, 16 Mar 2015 05:35:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.20. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Mon, 16 Mar 2015 05:35:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.1.0.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Mon, 16 Mar 2015 05:35:03 GMT) Full text and rfc822 format available.

Message sent on to Jason Alavaliant <alavaliant@ra09.com>:
Bug#812. (Mon, 16 Mar 2015 05:35:04 GMT) Full text and rfc822 format available.

Message sent on to Jason Alavaliant <alavaliant@ra09.com>:
Bug#812. (Mon, 16 Mar 2015 05:35:05 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#812; Package x2goserver. (Sun, 20 Nov 2016 17:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 20 Nov 2016 17:45:02 GMT) Full text and rfc822 format available.

Message #42 received at 812@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager <git-admin@x2go.org>
To: 812-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 812@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Sun, 20 Nov 2016 12:42:58 +0100 (CET)
close #812
thanks

Hello,

we are very hopeful that X2Go issue #812 reported by you
has been resolved in the new release (4.0.1.20) of the
X2Go source project Ā»src:x2goserverĀ«.

You can view the complete changelog entry of src:x2goserver (4.0.1.20)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=71e1e82d82acc718da71301d2fbd67eb0a71ad44;hp=8a494e794402c1b124d861893d649726a9016eb7

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.20-0x2go1
Status: RELEASE
Date: Sun, 20 Nov 2016 12:39:36 +0100
Fixes: 799 812 888 889 903 922 923 985 1065 1068 1073
Changes: 
 x2goserver (4.0.1.20-0x2go1) RELEASED; urgency=low
 .
   [ Mike DePaulo ]
   * New upstream version (4.0.1.20):
     - TERMINAL Session: Add support for qterminal
       (Lightweight terminal emulator written in Qt)
     - TRINITY: Add support for Q4OS
 .
   [ Mihai Moldovan ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2gogetapps: respect NoDisplay and Hidden values, don't
       parse the full desktop file if there are non-Desktop Entries groups.
       Based on a patch submitted by Jason Alavaliant. Fixes: #812.
     - x2goserver/bin/x2gogetapps: do not print spurious newlines.
     - Change string "X2go" to "X2Go" where appropriate.
     - Add runcommand.d hooks to x2goserver-extensions Makefile.
     - x2goserver/bin/x2gosessionlimit: don't iterate over the whole groups
       file. Only check the primary and secondary groups as returned by
       getgid()/getgroups(). Fixes long delays in session startup on machines
       with a gazillion of groups.
     - x2goserver/sbin/x2gocleansessions: re-fetch the current sessions' status
       before handling it. Using the "cached" value from the initial
       x2golistsessions run may be desynchronized with the actual current
       value. Avoids a race condition logging users out after they attached to a
       session.
     - x2goserver/sbin/x2gocleansessions: rename %remembered_sessions_since to
       %remembered_sessions_status_since. That's what it really is. Add
       comments to further clarify what it's actually doing. Change it to
       include a timestamp instead of the "iteration count multiplied by two"
       value. Compare timestamps to see if killing hanging nxagent processes is
       necessary.
     - x2goserver/sbin/x2gocleansessions: rename
       %remembered_sessions_status_since to
       %remembered_sessions_status_since_time. Add
       %remembered_sessions_status_since_iterations that will come in handy for
       the next change.
     - x2goserver/sbin/x2gocleansessions: give suspended-but-running sessions a
       grace period of one iteration. Fixes: #888.
     - x2goserver/sbin/x2gocleansessions: fix ugly missing whitespace.
     - x2goserver/sbin/x2gocleansessions: move up session status sync a bit,
       don't update session state when session has been removed from the
       database.
     - x2goserver/sbin/x2gocleansessions: unify log messages. Move dangling
       line around.
     - x2goserver/sbin/x2gocleansessions: whitespace only.
     - x2goserver/sbin/x2gocleansessions: also delete entries in the other,
       overlooked hashes.
     - x2goserver/sbin/x2gocleansessions: move socket and lock file cleanup
       into time-based block for finished/failed sessions.
     - x2goserver/sbin/x2gocleansessions: add @remembered_finished_sessions
       array. Merge with session list as queried from the database (won't
       include finished/failed sessions) and remember F-state sessions via this
       array. Only delete elements once work on these has been finished.
     - x2goserver/sbin/x2gocleansessions: don't add failed/finished sessions to
       remembered list if that list already includes them.
     - x2goserver/sbin/x2gocleansessions: don't use gmtime (time ()) but merely
       time (). The former one returns a formatted date-time string, which
       can't be checked by forming a difference. The latter one returns an UNIX
       timestamp, which is what we really want... minus leap seconds. Let's
       hope this doesn't bite back some time or later...
     - x2goserver/sbin/x2gocleansessions: add debugging output to show the
       state change when updating the cached state result.
     - x2goserver/sbin/x2gocleansessions: only output status refreshing debug
       message if the old and new states actually differ. Prevents log spam.
     - x2goserver/bin/x2gostartagent: changes to Robert Nowotny's SSH_PORT
       patch. Fixes: #922. Use default outgoing interface to determine IP
       address. Use the whole range of ${RANDOM}'s pool. Seed it for good
       measure. Change the default method to randomization instead of IP-based
       initialization. If IP-based initialization was requested but the default
       outgoing IP address unavailable, fall back to randomization.
     - x2goserver/bin/x2goruncommand: whitespace and comment changes only.
     - x2goserver/bin/x2gocleansessions: replace system_capture_stdout_output()
       with actual implementation. We don't have that function on the release
       branch.
     - x2goserver-xsession/etc/Xsession: use /bin/bash explicitly on RedHat-,
       Gentoo- and SuSE-based systems. Users might change /bin/sh to point to a
       shell like mksh or dash, which do not support the -l or -c flags to
       exec. C.f., BGO #575022 (Gentoo.)
     - x2goserver/bin/x2gomountdirs: remove blowfish Cipher spec hardcoded for
       sshfs mounts. The speed improvement is probably mostly an illusion
       (unless talking about high-bandwidth links) and more importantly recent
       OpenSSH server versions seem to disable the Blowfish cipher by default,
       leading to errors like "Connection reset by peer."
     - x2goserver/bin/x2goruncommand: whitespace only.
     - x2goserver/sbin/x2gocleansessions: add Perl documentation and --help,
       -h, -? and --man options. Fixes: #1065. Also print a usage message on
       unknown options.
     - x2goserver/man/man8/x2gocleansessions.8: drop obsolete man page.
     - x2goserver-xsession/etc/Xsession: fix uname calls when (potentially)
       creating session log/error file and add uname call where necessary.
     - x2goserver-xsession/etc/Xsession: include hostname in
       xsession-x2go-errors file name. Part of #923.
     - x2goserver-xsession/etc/Xsession: rotate old log/error file before
       appending new data. Fixes: #923.
     - x2goserver-xsession/etc/Xsession: fix wrong variable usage.
       Fixes: #1073.
     - x2goserver/sbin/x2gocleansessions: move in-file POD to end of file,
       rather than "commenting" out all the remaining code. Fixes: #1068.
     - x2goserver/sbin/x2godbadmin: exit earlier when not finding the required
       "x2gouser" user.
   * x2goserver.spec:
     - Add sudo and logcheck as BuildRequires and Requires. Don't own
       directories that are owned by sudo and logcheck. Logcheck is not
       available on *SUSE, FC < 20 and RHEL, so for those distros still own the
       directories.
     - Typo fix in comment: Recommands -> Recommends.
     - Fix installation on OpenSUSE 12.3 and higher: has replaced pwdutils with
       shadow. Also affects SLE{S,D} 12.
     - Add workaround documentation for sudoers on *SUSE 11.
     - Add shadow/shadow-utils/pwdutils Requires to x2goserver-printing
       sub package.
     - Add new dependency on bash.
     - Add new dependency on xkeyboard-config to x2goserver. Fixes: #903.
     - Add new dependency on perl and the Cwd module to x2goserver-xsession.
       Part of #923.
   * debian/control:
     - Add new dependency on bash.
     - Add new dependency on xkb-data to x2goserver.
     - Maintainer change in package: X2Go Developers <x2go-dev@lists.x2go.org>.
     - Uploaders: add myself. Also, force a rebuild due to the changed
       versioning.
     - Add new dependency on perl-modules for Cwd. Part of #923.
 .
   [ Henning Heinold ]
   * New upstream version (4.0.1.20):
     - x2goserver/sbin/x2godbadmin: remove trailing whitespace.
     - x2goserver/sbin/x2godbadmin: revoke all PRIVILEGES before trying to
       delete a user on postgres. Fixes: #889.
 .
   [ Mike Gabriel ]
   * debian/x2goserver.preinst:
     + Use proper comment header explaining about preinst script argument
       calls (not postinst).
 .
   [ Robert Nowotny ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2gostartagent: original patch for SSH_PORT
       randomization/IP-based initialization. Submitted as #922.
 .
   [ Stefan Baur ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2goruncommand: add the other trinity launcher scripts in
       order from newest to oldest. Fixes: #985.
 .
   [ Tor Perkins ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2goruncommand: capture x2goruncommand debug output for
       x2gofeature X2GO_XSESSION.
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.20):
     - x2goserver/bin/x2golistdesktops: drop -u parameter to ss. Fixes: #799.
       We would filter out UDP sockets later anyway and the combination -lxu is
       known to be broken with some versions of iproute2.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Sun, 20 Nov 2016 17:45:03 GMT) Full text and rfc822 format available.

Notification sent to Jason Alavaliant <alavaliant@ra09.com>:
Bug acknowledged by developer. (Sun, 20 Nov 2016 17:45:03 GMT) Full text and rfc822 format available.

Message sent on to Jason Alavaliant <alavaliant@ra09.com>:
Bug#812. (Sun, 20 Nov 2016 17:45:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 19 Dec 2016 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Jul 18 21:31:15 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.